/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code tests the link library.
***************************************************************/

/* test_link.c */

#include "link.h"

void main()
{
    char s[1000], *p;
    struct link_handle l;

    link_open(&l,"ps","-g");
    link_read(&l,s);         /* throw away header line. */
printf("%s\n",s);
    while (!link_read(&l,s)) /*read until ps terminates */
    {
        p=s+20;              /* point p to start of process names. */
        printf("%s\n",p);
    }
    link_close(&l);
}
